{% extends '::base.html.twig' %}

{% block title %}Home - {{ parent() }}{% endblock %}

{% block header %}
    {% include 'AppBundle:fragment:image-carousel.html.twig' only %}

    <div class="promo">

        <div class="container">
            {% include 'AppBundle:fragment:link-button-right.html.twig' with {
                'route' : block_prop('page.home.banner', 'route'),
                'text'  : block_title('page.home.banner')
            } only %}

            {{ block_content('page.home.banner') }}
        </div>

    </div>

{% endblock %}

{% block body %}
    <div class="container container-sr">

        <h2 class="primary-hr-i">
            {{ ion('star') }} Featured <em>Products</em>
        </h2>

        <div class="card-listing">
            {% for f in featured %}
                {% include 'AppBundle:fragment:product-list-item-feature.html.twig' with {
                    'product': f
                } only %}
            {% endfor %}
        </div>

        {% include 'AppBundle:fragment:link-button-right.html.twig' with {
            'route' : 'app_category_list',
            'text'  : 'View All Products'
        } only %}

    </div>

    <div class="container-sr-odd">
        <div id="feed-photos" class="container"></div>
        <div id="feed-photos-loader" class="container" data-target="#feed-photos" {{ ajax_data_href('app_fragment_feed_photos') }}">
            {% include 'AppBundle:fragment:action-status-icon.html.twig' with {
                'icon'       : 'fa-refresh',
                'icon_class' : 'fa-spin',
                'text'       : 'Refreshing photo feed...'
            } only %}
        </div>
    </div>

    <div class="container container-sr">
        <div class="index-about">

            <div class="index-about-section">

                <h3 class="primary-hr-i">
                    {{ ion('ios-clock') }} Our <em>Hours</em>
                </h3>

                {% include 'AppBundle:fragment:location-hours.html.twig' with {
                    'hours': hours
                } only %}

            </div>

            <div class="index-about-section index-about-section-phone">

                <h3 class="primary-hr-i">
                    {{ ion('android-call') }} {{ block_title('about.phone') }}
                </h3>

                <div class="info-phone-and-address">
                    <p>{{ config('phone', 'No Phone') }}</p>
                </div>

            </div>

            <div class="index-about-section">

                <h3 class="primary-hr-i">
                    {{ ion('android-map') }} {{ block_title('about.address') }}
                </h3>

                <div class="info-phone-and-address">
                    <p>{{ config('address', 'No Address')|split(',')|slice(0,2)|join(',') }}</p>
                </div>

                <div class="info-address">
                    <img class="img-responsive" src="{{ staticMaps }}" alt="{{ block_content('about.address') }}" />
                </div>

                {% include 'AppBundle:fragment:link-button-right.html.twig' with {
                    'route' : 'app_location',
                    'text'  : 'More Info and Directions'
                } only %}

            </div>

        </div>

    </div>

    {% include 'AppBundle:fragment:modal-coupon.html.twig' with {
        showCoupon: showCoupon
    } only %}
{% endblock %}
